net.fortuna.ical4j.model

## Class CalendarDateFormatFactory

- java.lang.Object
- - net.fortuna.ical4j.model.CalendarDateFormatFactory

    public final class CalendarDateFormatFactory
    extends Object

$Id$ [06-Apr-2004] Creates DateFormat objects optimized for common iCalendar date patterns.

Author:
  Dave Nault dnault@laszlosystems.com
See Also:
  `getInstance(String)`

### Method Summary

Methods
`static DateFormat` `getInstance(String pattern)` Returns DateFormat objects optimized for common iCalendar date patterns.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static DateFormat getInstance(String pattern)

Returns DateFormat objects optimized for common iCalendar date patterns. The DateFormats are *not* thread safe. Attempts to get or set the Calendar or NumberFormat of an optimized DateFormat will result in an UnsupportedOperation exception being thrown.

Parameters:
  `pattern` - a SimpleDateFormat-compatible pattern
Returns:
  an optimized DateFormat instance if possible, otherwise a normal SimpleDateFormat instance